SUSE: 2022:2878-1 important: python-lxml | LinuxSecurity.com

Advisories


   SUSE Security Update: Security update for python-lxml
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:2878-1
Rating:             important
References:         #1201253 
Cross-References:   CVE-2022-2309
CVSS scores:
                    CVE-2022-2309 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2022-2309 (SUSE): 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Affected Products:
                    SUSE Linux Enterprise High Performance Computing 15
                    SUSE Linux Enterprise Module for Public Cloud 15
                    SUSE Linux Enterprise Server 15
                    SUSE Linux Enterprise Server for SAP Applications 15
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for python-lxml fixes the following issues:

   - CVE-2022-2309: Fixed NULL pointer dereference due to state leak between
     parser runs (bsc#1201253).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Module for Public Cloud 15:

      zypper in -t patch SUSE-SLE-Module-Public-Cloud-Unrestricted-15-2022-2878=1



Package List:

   - SUSE Linux Enterprise Module for Public Cloud 15 (aarch64 ppc64le s390x x86_64):

      python3-lxml-4.7.1-150100.6.6.1
      python3-lxml-devel-4.7.1-150100.6.6.1

   - SUSE Linux Enterprise Module for Public Cloud 15 (noarch):

      python3-lxml-doc-4.7.1-150100.6.6.1


References:

   https://www.suse.com/security/cve/CVE-2022-2309.html
   https://bugzilla.suse.com/1201253

SUSE: 2022:2878-1 important: python-lxml

August 23, 2022
An update that fixes one vulnerability is now available

Summary

This update for python-lxml fixes the following issues: - CVE-2022-2309: Fixed NULL pointer dereference due to state leak between parser runs (bsc#1201253). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE Linux Enterprise Module for Public Cloud 15: zypper in -t patch SUSE-SLE-Module-Public-Cloud-Unrestricted-15-2022-2878=1 Package List: - SUSE Linux Enterprise Module for Public Cloud 15 (aarch64 ppc64le s390x x86_64): python3-lxml-4.7.1-150100.6.6.1 python3-lxml-devel-4.7.1-150100.6.6.1 - SUSE Linux Enterprise Module for Public Cloud 15 (noarch): python3-lxml-doc-4.7.1-150100.6.6.1

References

#1201253

Cross- CVE-2022-2309

CVSS scores:

CVE-2022-2309 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

CVE-2022-2309 (SUSE): 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Affected Products:

SUSE Linux Enterprise High Performance Computing 15

SUSE Linux Enterprise Module for Public Cloud 15

SUSE Linux Enterprise Server 15

SUSE Linux Enterprise Server for SAP Applications 15

https://www.suse.com/security/cve/CVE-2022-2309.html

https://bugzilla.suse.com/1201253

Severity
Announcement ID: SUSE-SU-2022:2878-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.